class 'l_DogRoomScreen' (PlayField)

local previous_scene_name = ''

function l_DogRoomScreen:__init(game_scene, name, path)
    previous_scene_name = name
	if HasGameState(LAST_VISITED_SCENE) then
		previous_scene_name = GetGameState(LAST_VISITED_SCENE):get(0)
	end
	PlayField.__init(self, game_scene, name, path)
	SetGameState(LAST_VISITED_SCENE, previous_scene_name)

	self.game_scene:getPanel():setMode(EPanelMode.CLEAN)
	
    local main_entity = self:getMainEntity()
    
	self:entityHide('light')
	self:create_medals()

-- animations
	for i = 1, 4 do
		self:getEntityNamed('effect'..i..'_low'):stop()
	end
	self:getEntityNamed('firework_anim'):hide()
	
	--self:playSound('puppy_idle_sound', true)
    local puppy_idle_sound = CreateSoundTrack('Data/Sounds/Scenes/DogRoomScreen/puppy_idle_sound.ogg')
    puppy_idle_sound:attachTo( self:getMainEntity() )
    puppy_idle_sound:setRepeated(true)
    puppy_idle_sound:play()
    
    self.onfocus_trophy_sound = CreateSoundTrack('Data/Sounds/Scenes/DogRoomScreen/onfocus_trophy_sound.ogg')
    self.onfocus_trophy_sound:attachTo( self:getMainEntity() )
    
    self.medal_press_sound = CreateSoundTrack('Data/Sounds/Scenes/DogRoomScreen/medal_press_sound.ogg')
    self.medal_press_sound:attachTo( self:getMainEntity() )

	--self:entityShow('effect1_low')
	--self:getEntityNamed('effect1_low'):play()
	
	self:showMedals()
	self:showCups()
	self:openGame()
    self:recalcText()
	
    if HasGameState(InteractiveHelp.States.SHOWING_HELP, 'true') and HasGameState('CLICK_MEDAL_TUTORIAL_WAS_SHOWN') and not InteractiveHelp.isHelpCompleted('DOG_ROOM_1') then
	   InteractiveHelp.showTip('DOG_ROOM_1', 1)	            
	else
	    --[[if HasGameState('LAST_ROOM_OBJECT') then
            local number = GetGameState('LAST_ROOM_OBJECT'):get(0) or '0' 
            RemoveGameState('LAST_ROOM_OBJECT', number)
            self:showLastMedal(number)
        end--]]
        self:check_last_medal()
    end 
	
    main_entity:getEntityNamed('area_click_ball').onPress:add(bind(self.onDogBallClick, self))
	main_entity:getEntityNamed('area_click_bone').onPress:add(bind(self.onDogBoneClick, self))
	main_entity:getEntityNamed('area_click_hole').onPress:add(bind(self.onDogHoleClick, self))
	
    main_entity:getEntityNamed('bttn_exit').onPress:add(bind(self.onExitButtonClick--[[on_link_parent_click--]], self))
    main_entity:getEntityNamed('movie_dog').onPress:add(bind(self.onDogGameButtonClick, self))
    main_entity:getEntityNamed('movie_dog').onFocusIn:add(bind(self.on_dog_mouse_enter, self))
    main_entity:getEntityNamed('movie_dog').onFocusOut:add(bind(self.on_dog_mouse_leave, self))
    main_entity:getEntityNamed('bttn_exit'):setSFXTrackOnPress( getCommonSoundEntity('ButtonClick') )
    for i = 1,4 do 
        main_entity:getEntityNamed('area_dog_' .. i).onFocusIn:add(bind(self.on_focus_in_dog, self))
        main_entity:getEntityNamed('area_dog_' .. i).onFocusOut:add(bind(self.on_focus_out_dog, self))    
        for j = 1,5 do
            main_entity:getEntityNamed('m' .. j + (i-1) * 5).onFocusIn:add(bind(self.on_focus_in_medal, self))
            main_entity:getEntityNamed('m' .. j + (i-1) * 5).onFocusOut:add(bind(self.on_focus_out_medal, self))
            main_entity:getEntityNamed('m' .. j + (i-1) * 5).onPress:add(bind(self.on_press_medal, self)) 
        end
    end
    
    for i = 1,8 do 
        main_entity:getEntityNamed('cup_' .. i).onFocusIn:add(bind(self.on_focus_in_cup, self))
        main_entity:getEntityNamed('cup_' .. i).onFocusOut:add(bind(self.on_focus_out_cup, self))    
    end
end
---------------------------------------------------------------------------------
function l_DogRoomScreen:create_medals()
    for i = 1, 20 do 
        local medal_big = CreateSpriteEntity('Data/Textures/Screens/DogRoom/Medals/m' .. i .. '_big.png')
        medal_big:attachTo(self:getMainEntity())
        medal_big:setName('m' .. i .. '_big')
        medal_big:setXY(512, 384)
        medal_big:setVisible(false)
        medal_big:setRespondable(false)    
   end
end
---------------------------------------------------------------------------------
function l_DogRoomScreen:check_last_medal()
    local state = current_player.gameState 
    local tag
    if state:hasState(SE_COMPLETED, EGameStateTag.CUSTOM) then
        tag = EGameStateTag.CUSTOM
    else
        tag = EGameStateTag.SE
    end
    if HasGameState('LAST_ROOM_OBJECT',nil,tag) then
        local number = GetGameState('LAST_ROOM_OBJECT', tag):get(0) or '0' 
        RemoveGameState('LAST_ROOM_OBJECT', number, tag)
        self:showLastMedal(number)
    end
end
---------------------------------------------------------------------------------
function l_DogRoomScreen:on_dog_mouse_enter()
	self:entityShow('light')
end
---------------------------------------------------------------------------------
function l_DogRoomScreen:on_dog_mouse_leave()
	self:entityHide('light')
end
---------------------------------------------------------------------------------
function l_DogRoomScreen:on_focus_in_dog(entity, state)
    self:entityShow('board_' .. string.sub(entity:getName(), -1))
end
---------------------------------------------------------------------------------
function l_DogRoomScreen:on_focus_out_dog(entity, state)
    self:entityHide('board_' .. string.sub(entity:getName(), -1))
end
---------------------------------------------------------------------------------
function l_DogRoomScreen:on_focus_in_medal(entity, state)
    self.onfocus_trophy_sound:stop()
    self.onfocus_trophy_sound:play()
    local num1 = tonumber(string.sub(entity:getName(), -2))
    if num1 ~= nil then
        if num1 == 10 then
            self:entityShow('board_2')    
        elseif num1 <= 15 then
            self:entityShow('board_3') 
        else
            self:entityShow('board_4') 
        end 
    else
        num1 = tonumber(string.sub(entity:getName(), -1))
        if num1 <= 5 then
            self:entityShow('board_1')    
        else
            self:entityShow('board_2') 
        end 
    end
    if not self:isRoomObjectFound('medal_' .. num1) then
        self:getEntityNamed(entity:getName()):setVisible(true)
        self:getEntityNamed(entity:getName()):setOpacity(0.5)
    else
        self:entityShow('m' .. num1 .. '_light')
    end
end
---------------------------------------------------------------------------------
function l_DogRoomScreen:on_focus_out_medal(entity, state)
    local num1 = tonumber(string.sub(entity:getName(), -2))
    if num1 ~= nil then
        if num1 == 10 then
            self:entityHide('board_2')    
        elseif num1 <= 15 then
            self:entityHide('board_3') 
        else
            self:entityHide('board_4') 
        end 
    else
        num1 = tonumber(string.sub(entity:getName(), -1))
        if num1 <= 5 then
            self:entityHide('board_1')    
        else
            self:entityHide('board_2') 
        end 
    end
    if not self:isRoomObjectFound('medal_' .. num1) then
        self:getEntityNamed(entity:getName()):setVisible(false)
        self:getEntityNamed(entity:getName()):setOpacity(1)
    else
        self:entityHide('m' .. num1 .. '_light')
    end   
end
---------------------------------------------------------------------------------
function l_DogRoomScreen:on_focus_in_cup(entity, state)
    self.onfocus_trophy_sound:stop()
    self.onfocus_trophy_sound:play()
    local num1 = tonumber(string.sub(entity:getName(), -1))
    if num1 ~= 4 and num1 ~= 5 and num1 ~= 6 then
        self:getEntityNamed('board_5'):setXY(519, 274)
    else
        self:getEntityNamed('board_5'):setXY(519, 139)    
    end
    self:getEntityNamed('board_5'):setVisible(true)
    self:getEntityNamed('text_cup'):setText(StringManager:getString('BBT_CUP_' .. num1))     
    if not self:isCupWon('cup_' .. num1) then
        self:getEntityNamed(entity:getName()):setVisible(true)
        --self:getEntityNamed(entity:getName()):setOpacity(0.5)
        self:getEntityNamed(entity:getName()):setColor	( Colorf(0.1, 0.1, 0.1, 0.7) )        
    end    
end
---------------------------------------------------------------------------------
function l_DogRoomScreen:on_focus_out_cup(entity, state)
    local num1 = tonumber(string.sub(entity:getName(), -1))
    if not self:isCupWon('cup_' .. num1) then
        --self:getEntityNamed(entity:getName()):setVisible(false)
        --self:getEntityNamed(entity:getName()):setOpacity(1)
        self:getEntityNamed(entity:getName()):setColor	( Colorf(0.1, 0.1, 0.1, 0.3) )  
    end    
    self:getEntityNamed('board_5'):setVisible(false)
end
---------------------------------------------------------------------------------
function l_DogRoomScreen:on_press_medal(entity, state)    
    local num1 = tonumber(string.sub(entity:getName(), -2))
    if num1 == nil then
        num1 = tonumber(string.sub(entity:getName(), -1))
    end
    if num1 <= 5 then
        dog_num = 1
    elseif num1 <= 10 then
        dog_num = 2
    elseif num1 <= 15 then
        dog_num = 3
    elseif num1 <= 20 then
        dog_num = 4
    end    
    if self:isRoomObjectFound('medal_' .. num1) then
        self.medal_press_sound:stop()
        self.medal_press_sound:play()
        self:getEntityNamed('m' .. num1 ..'_glow_over'):stop()
        self:getEntityNamed('m' .. num1 ..'_glow_over'):hide()
        self:getEntityNamed('m' .. num1 ..'_glow_under'):stop()
        self:getEntityNamed('m' .. num1 ..'_glow_under'):hide()
        for i = 1,4 do 
            self:entityHide('board_' .. i)
        end
        
        local function on_end_click()
            self.mouseBlocker:push()
            self.timer:add(function()  
                self:getEntityNamed('m' .. num1 ..'_glow_over'):show()
                self:getEntityNamed('m' .. num1 ..'_glow_over'):play()
                if self:isDogGameOpen('game_' .. dog_num) then
                    self:getEntityNamed('m' .. num1 ..'_glow_under'):show()
                    self:getEntityNamed('m' .. num1 ..'_glow_under'):play()
                end
                self:getEntityNamed('firework_anim'):setXY(self:getEntityNamed('m' .. num1):getX(), self:getEntityNamed('m' .. num1):getY())
                self.timer:add(function()
                    self:getEntityNamed('firework_anim'):show()
                    self:getEntityNamed('firework_anim'):play()
                    self.mouseBlocker:pop()
                    self.timer:add(function()
                        self:getEntityNamed('firework_anim'):stop()
                        self:getEntityNamed('firework_anim'):hide()
                    end, 20/24)
                end, 0.5)
            end, 0.5)
        end
        
        self.timer:add(function()
            self:showFlyPicture(entity:getName() .. '_big', entity:getName(), on_end_click)
        end, 0.05)
    end
end
-------------------------------------------------------------------------------
function l_DogRoomScreen:onUpdate(dt)
end
---------------------------------------------------------------------------------
function l_DogRoomScreen:onDogRoomScreenDestroy()
     PopUpScreensMgr:pop()
     createMainMenu()     
end
----------------------------------------------------------------------------------
function l_DogRoomScreen:onExitButtonClick()
    --self:onDogRoomScreenDestroy()
    --self.game_scene:loadPlayField(previous_scene_name)
    if HasGameState('DOG_ROOM_LOADED_FROM', 'SCENE') then
        self.game_scene:loadPlayField(previous_scene_name)
    else
        PopUpScreensMgr:pop()
        createMainMenu()
    end
end
----------------------------------------------------------------------------------
function l_DogRoomScreen:onDogGameButtonClick()
	playCommonSound('ButtonClick')
     PopUpScreensMgr:pop()
     --createDogGame_2Screen()  
    if HasGameState('DOG_GAME_LOADED_FROM', 'MM') then
        RemoveGameState('DOG_GAME_LOADED_FROM', 'MM')
    end
    if HasGameState('DOG_GAME_LOADED_FROM', 'ROOM') then
        RemoveGameState('DOG_GAME_LOADED_FROM', 'ROOM')
    end
    AddGameState('DOG_GAME_LOADED_FROM', 'ROOM')  
    createDogGameScreen()
end
----------------------------------------------------------------------------------
function l_DogRoomScreen:showMedals()
    for i = 1,20 do 
        if not self:isRoomObjectFound('medal_' .. i) then
            --self:entityHide('m' .. i)
            self:getEntityNamed('m' .. i):setVisible(false)
        else
            self:getEntityNamed('m' .. i ..'_glow_over'):show()
            self:getEntityNamed('m' .. i ..'_glow_over'):play()
            self:entityHide('m' .. i .. '_light')
        end        
    end
end
----------------------------------------------------------------------------------
function l_DogRoomScreen:showCups()
    local state = current_player.gameState 
    local tag
    if state:hasState(SE_COMPLETED, EGameStateTag.CUSTOM) then
        tag = EGameStateTag.CUSTOM
    else
        tag = EGameStateTag.SE
    end
    for i = 1,8 do 
        if not self:isCupWon('cup_' .. i) then
            --self:entityHide('cup_' .. i)
            --self:getEntityNamed('cup_' .. i):setVisible(false)
            self:getEntityNamed('cup_' .. i):setColor( Colorf(0.1, 0.1, 0.1, 0.3) ) 
        else
            if not HasGameState('cup_' .. i ..'effect_shown', 'true', tag) then
				self:getEntityNamed('cup_' .. i):setColor( Colorf(1, 1, 1, 1) ) 
                AddGameState('cup_' .. i ..'effect_shown', 'true', tag)
                self:getEntityNamed('cup_' .. i):setVisible(false) 
                self:getEntityNamed('anim_cup_' .. i):setVisible(true)
                self:getEntityNamed('anim_cup_' .. i):setActive(true)
                self:getEntityNamed('anim_cup_' .. i):play()
                local cup_show_sound = CreateSoundTrack('Data/Sounds/Scenes/DogRoomScreen/cup_show_sound.ogg')
                cup_show_sound:attachTo( self:getMainEntity() )
                cup_show_sound:play()
                self.timer:add(function()
                    self:getEntityNamed('cup_' .. i):setVisible(true) 
                    self:getEntityNamed('anim_cup_' .. i):setVisible(false)
                    self:getEntityNamed('anim_cup_' .. i):setActive(false)                       
                end, 1)    
            end
        end
    end
end
----------------------------------------------------------------------------------
function l_DogRoomScreen:showLastMedal(num1)

    if tonumber(num1) <= 5 then
        dog_num = 1
    elseif tonumber(num1) <= 10 then
        dog_num = 2
    elseif tonumber(num1) <= 15 then
        dog_num = 3
    elseif tonumber(num1) <= 20 then
        dog_num = 4
    end    
    
    self:getEntityNamed('m' .. num1 ..'_glow_over'):stop()
    self:getEntityNamed('m' .. num1 ..'_glow_over'):hide()
    self:getEntityNamed('m' .. num1 ..'_glow_under'):stop()
    self:getEntityNamed('m' .. num1 ..'_glow_under'):hide()
    
    local function on_end_click()
        self.mouseBlocker:push()
        self.timer:add(function()
            self:getEntityNamed('firework_anim'):setXY(self:getEntityNamed('m' .. num1):getX(), self:getEntityNamed('m' .. num1):getY())
            self.timer:add(function()
                self:getEntityNamed('firework_anim'):show()
                self:getEntityNamed('firework_anim'):play()
                self.mouseBlocker:pop()
                self.timer:add(function()
                    self:getEntityNamed('firework_anim'):stop()
                    self:getEntityNamed('firework_anim'):hide()
                end, 20/24)
            end, 0.5)
            self:getEntityNamed('m' .. num1 ..'_glow_over'):show()
            self:getEntityNamed('m' .. num1 ..'_glow_over'):play()
            if self:isDogGameOpen('game_' .. dog_num) then
                self:getEntityNamed('m' .. num1 ..'_glow_under'):show()
                self:getEntityNamed('m' .. num1 ..'_glow_under'):play()
            end
        end, 0.5)
    end

    self:showFlyPicture('m' .. num1 .. '_big', 'm' .. num1, on_end_click, nil, true)       
end
----------------------------------------------------------------------------------
function l_DogRoomScreen:openGame()
    local state = current_player.gameState 
    local tag
    if state:hasState(SE_COMPLETED, EGameStateTag.CUSTOM) then
        tag = EGameStateTag.CUSTOM
    else
        tag = EGameStateTag.SE
    end
    for i = 1,4 do 
        if not self:isDogGameOpen('game_' .. i) then
            local medal_found = true
            for j = 1,5 do 
                if not self:isRoomObjectFound('medal_' .. j + (i-1) * 5) then
                    medal_found = false
                end
            end
            if medal_found then
                local sparcles_sound = CreateSoundTrack('Data/Sounds/Scenes/DogRoomScreen/sparcles_sound.ogg')
                sparcles_sound:attachTo( self:getMainEntity() )
                sparcles_sound:play()
                self:getEntityNamed('effect' .. i .. '_low'):setVisible(true)
                self:getEntityNamed('effect' .. i .. '_low'):setActive(true)
                self:getEntityNamed('effect' .. i .. '_low'):play()
                AddUniqueGameState('DogGameOpen', 'game_' .. i, tag)
                self:showBlackBar('BBT_NEW_GAME_IS_AVAILABLE')
            end
        end
        local medal_found = true
        for j = 1,5 do 
            if not self:isRoomObjectFound('medal_' .. j + (i-1) * 5) then
                medal_found = false
            end
        end
        if medal_found then
            for j = 1,5 do 
                self:getEntityNamed('m' .. j + (i-1) * 5 ..'_glow_under'):show()
                self:getEntityNamed('m' .. j + (i-1) * 5 ..'_glow_under'):play()    
            end
        end
    end
end
----------------------------------------------------------------------------------
function l_DogRoomScreen:onDogBallClick()
    local ball_sound = CreateSoundTrack('Data/Sounds/Scenes/DogRoomScreen/ball_sound.ogg')
    ball_sound:attachTo( self:getMainEntity() )
    ball_sound:play()
    self:entityHide('area_click_ball')
    self:getEntityNamed('anim_ball'):setActive(true)
    self:getEntityNamed('anim_ball'):play()
    self.timer:add(function()
        self:entityShow('area_click_ball')    
    end, 4)
end
----------------------------------------------------------------------------------
function l_DogRoomScreen:onDogBoneClick()
    local bone_sound = CreateSoundTrack('Data/Sounds/Scenes/DogRoomScreen/bone_sound.ogg')
    bone_sound:attachTo( self:getMainEntity() )
    bone_sound:play()
    self:entityHide('area_click_bone')
    self:getEntityNamed('anim_bone'):setActive(true)
    self:getEntityNamed('anim_bone'):play()
    self.timer:add(function()
        self:entityShow('area_click_bone')    
    end, 1.5)
end
----------------------------------------------------------------------------------
function l_DogRoomScreen:onDogHoleClick()
    local ball_sound = CreateSoundTrack('Data/Sounds/Scenes/DogRoomScreen/ball_sound.ogg')
    ball_sound:attachTo( self:getMainEntity() )
    ball_sound:play()
    self:entityHide('area_click_hole')
    self:getEntityNamed('anim_hole'):setActive(true)
    self:getEntityNamed('anim_hole'):play()
    self.timer:add(function()
        self:entityShow('area_click_hole')    
    end, 3)
end
----------------------------------------------------------------------------------
function l_DogRoomScreen:recalcText()
    for i = 1,4 do 
        local kol = 0
        for j = 1,5 do 
            if self:isRoomObjectFound('medal_' .. j + (i-1) * 5) then
                kol = kol + 1
            end    
        end
        self:getEntityNamed('text_' .. i):setText(kol .. '/5')
    end
end
----------------------------------------------------------------------------------
function l_DogRoomScreen:isDogGameOpen(object_name)
    local state = current_player.gameState 
    if state:hasState(SE_COMPLETED, EGameStateTag.CUSTOM) then
        tag = EGameStateTag.CUSTOM
    else
        tag = EGameStateTag.SE
    end
    return HasGameState('DogGameOpen', object_name, tag)
end
----------------------------------------------------------------------------------
function l_DogRoomScreen:isCupWon(object_name)
    local state = current_player.gameState 
    if state:hasState(SE_COMPLETED, EGameStateTag.CUSTOM) then
        tag = EGameStateTag.CUSTOM
    else
        tag = EGameStateTag.SE
    end
    return HasGameState('CupWon', object_name, tag)
end

--------------------------------------------------------------------------------
--                      GENERATED CONTENT. DO NOT EDIT.                       --
--------------------------------------------------------------------------------

function l_DogRoomScreen:CreateLoaderTable()
	local objects =
	{
		{ name = 'bg',  entityType = 'SpriteEntity',  x = 512,  y = 384,  order = 0,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Screens/DogRoom/bg.jpg',  width = 1366,  height = 768,  },
		{ name = 'DogRoomScreenAnim',  entityType = 'CompositionContainer',  x = 0,  y = 0,  order = 0,  blend = RenderedObject.EBlendModeColorAdd,  editingLocked = false,  treeItemIsExpanded = true,  path = 'Data/Scripts/Screens/Anim/DogRoomScreenAnim.lua',  },
		{ name = 'compositionbg',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnim',  x = -167,  y = -7,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  isCyclic = true,  speed = 1,  },
		{ name = 'area_dog_1',  entityType = 'SpriteEntity',  x = 81,  y = 362,  order = 0,  scaleX = 1.3,  scaleY = 2.1,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Common/Area_Round.png',  width = 128,  height = 128,  },
		{ name = 'area_dog_2',  entityType = 'SpriteEntity',  x = 241,  y = 349,  order = 0,  scaleX = 1.2,  scaleY = 2,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Common/Area_Round.png',  width = 128,  height = 128,  },
		{ name = 'area_dog_3',  entityType = 'SpriteEntity',  x = 787,  y = 345,  order = 0,  scaleX = 1.2,  scaleY = 2,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Common/Area_Round.png',  width = 128,  height = 128,  },
		{ name = 'area_dog_4',  entityType = 'SpriteEntity',  x = 944,  y = 362,  order = 0,  scaleX = 1.3,  scaleY = 2.1,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Common/Area_Round.png',  width = 128,  height = 128,  },
		{ name = 'm1_light',  entityType = 'SpriteEntity',  x = 62,  y = 390,  order = 0,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Screens/DogRoom/Medals/m1_light.png',  width = 66,  height = 66,  },
		{ name = 'm1',  entityType = 'SpriteEntity',  x = 61,  y = 389,  order = 0,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Screens/DogRoom/Medals/m1.png',  width = 40,  height = 40,  },
		{ name = 'm2_light',  entityType = 'SpriteEntity',  x = 77,  y = 397,  order = 0,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Screens/DogRoom/Medals/m2_light.png',  width = 60,  height = 72,  },
		{ name = 'm2',  entityType = 'SpriteEntity',  x = 76,  y = 407,  order = 0,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Screens/DogRoom/Medals/m2.png',  width = 32,  height = 58,  },
		{ name = 'm5_light',  entityType = 'SpriteEntity',  x = 128,  y = 385,  order = 0,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Screens/DogRoom/Medals/m5_light.png',  width = 56,  height = 58,  },
		{ name = 'm5',  entityType = 'SpriteEntity',  x = 126,  y = 383,  order = 0,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Screens/DogRoom/Medals/m5.png',  width = 28,  height = 36,  },
		{ name = 'm4_light',  entityType = 'SpriteEntity',  x = 123,  y = 403,  order = 0,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Screens/DogRoom/Medals/m4_light.png',  width = 56,  height = 66,  },
		{ name = 'm4',  entityType = 'SpriteEntity',  x = 128,  y = 407,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/DogRoom/Medals/m4.png',  width = 36,  height = 52,  },
		{ name = 'm3_light',  entityType = 'SpriteEntity',  x = 109,  y = 431,  order = 0,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Screens/DogRoom/Medals/m3_light.png',  width = 78,  height = 114,  },
		{ name = 'm3',  entityType = 'SpriteEntity',  x = 108,  y = 430,  order = 0,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Screens/DogRoom/Medals/m3.png',  width = 50,  height = 88,  },
		{ name = 'm6_light',  entityType = 'SpriteEntity',  x = 220,  y = 367,  order = 0,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Screens/DogRoom/Medals/m6_light.png',  width = 56,  height = 58,  },
		{ name = 'm6',  entityType = 'SpriteEntity',  x = 220,  y = 369,  order = 0,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Screens/DogRoom/Medals/m6.png',  width = 26,  height = 30,  },
		{ name = 'm7_light',  entityType = 'SpriteEntity',  x = 236,  y = 380,  order = 0,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/DogRoom/Medals/m7_light.png',  width = 58,  height = 66,  },
		{ name = 'm7',  entityType = 'SpriteEntity',  x = 236,  y = 393,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/DogRoom/Medals/m7.png',  width = 30,  height = 60,  },
		{ name = 'm10_light',  entityType = 'SpriteEntity',  x = 282,  y = 361,  order = 0,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/DogRoom/Medals/m10_light.png',  width = 54,  height = 56,  },
		{ name = 'm10',  entityType = 'SpriteEntity',  x = 279,  y = 360,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/DogRoom/Medals/m10.png',  width = 26,  height = 28,  },
		{ name = 'm9_light',  entityType = 'SpriteEntity',  x = 278,  y = 377,  order = 0,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Screens/DogRoom/Medals/m9_light.png',  width = 56,  height = 56,  },
		{ name = 'm9',  entityType = 'SpriteEntity',  x = 282,  y = 384,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/DogRoom/Medals/m9.png',  width = 36,  height = 40,  },
		{ name = 'm8_light',  entityType = 'SpriteEntity',  x = 262,  y = 389,  order = 0,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Screens/DogRoom/Medals/m8_light.png',  width = 70,  height = 72,  },
		{ name = 'm8',  entityType = 'SpriteEntity',  x = 261,  y = 388,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/DogRoom/Medals/m8.png',  width = 42,  height = 44,  },
		{ name = 'm11_light',  entityType = 'SpriteEntity',  x = 747,  y = 373,  order = 0,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Screens/DogRoom/Medals/m11_light.png',  width = 52,  height = 50,  },
		{ name = 'm11',  entityType = 'SpriteEntity',  x = 743,  y = 380,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/DogRoom/Medals/m11.png',  width = 28,  height = 36,  },
		{ name = 'm12_light',  entityType = 'SpriteEntity',  x = 751,  y = 389,  order = 0,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Screens/DogRoom/Medals/m12_light.png',  width = 52,  height = 56,  },
		{ name = 'm12',  entityType = 'SpriteEntity',  x = 751,  y = 394,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/DogRoom/Medals/m12.png',  width = 28,  height = 34,  },
		{ name = 'm15_light',  entityType = 'SpriteEntity',  x = 815,  y = 380,  order = 0,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/DogRoom/Medals/m15_light.png',  width = 52,  height = 58,  },
		{ name = 'm15',  entityType = 'SpriteEntity',  x = 816,  y = 387,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/DogRoom/Medals/m15.png',  width = 28,  height = 44,  },
		{ name = 'm14_light',  entityType = 'SpriteEntity',  x = 793,  y = 391,  order = 0,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Screens/DogRoom/Medals/m14_light.png',  width = 70,  height = 72,  },
		{ name = 'm14',  entityType = 'SpriteEntity',  x = 793,  y = 387,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/DogRoom/Medals/m14.png',  width = 42,  height = 46,  },
		{ name = 'm13_light',  entityType = 'SpriteEntity',  x = 774,  y = 399,  order = 0,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Screens/DogRoom/Medals/m13_light.png',  width = 68,  height = 72,  },
		{ name = 'm13',  entityType = 'SpriteEntity',  x = 774,  y = 398,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/DogRoom/Medals/m13.png',  width = 38,  height = 44,  },
		{ name = 'm16_light',  entityType = 'SpriteEntity',  x = 895,  y = 391,  order = 0,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Screens/DogRoom/Medals/m16_light.png',  width = 52,  height = 58,  },
		{ name = 'm16',  entityType = 'SpriteEntity',  x = 894,  y = 393,  order = 0,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Screens/DogRoom/Medals/m16.png',  width = 32,  height = 40,  },
		{ name = 'm17_light',  entityType = 'SpriteEntity',  x = 906,  y = 400,  order = 0,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Screens/DogRoom/Medals/m17_light.png',  width = 62,  height = 68,  },
		{ name = 'm17',  entityType = 'SpriteEntity',  x = 903,  y = 409,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/DogRoom/Medals/m17.png',  width = 40,  height = 58,  },
		{ name = 'm20_light',  entityType = 'SpriteEntity',  x = 966,  y = 397,  order = 0,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Screens/DogRoom/Medals/m20_light.png',  width = 54,  height = 58,  },
		{ name = 'm20',  entityType = 'SpriteEntity',  x = 964,  y = 397,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/DogRoom/Medals/m20.png',  width = 24,  height = 30,  },
		{ name = 'm19_light',  entityType = 'SpriteEntity',  x = 947,  y = 411,  order = 0,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/DogRoom/Medals/m19_light.png',  width = 58,  height = 64,  },
		{ name = 'm19',  entityType = 'SpriteEntity',  x = 949,  y = 414,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/DogRoom/Medals/m19.png',  width = 32,  height = 46,  },
		{ name = 'm18_light',  entityType = 'SpriteEntity',  x = 919,  y = 416,  order = 0,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Screens/DogRoom/Medals/m18_light.png',  width = 70,  height = 72,  },
		{ name = 'm18',  entityType = 'SpriteEntity',  x = 921,  y = 417,  order = 0,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Screens/DogRoom/Medals/m18.png',  width = 40,  height = 46,  },
		{ name = 'cup_1',  entityType = 'SpriteEntity',  x = 449,  y = 389,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/DogRoom/Cups/cup_1.png',  width = 48,  height = 86,  },
		{ name = 'cup_7',  entityType = 'SpriteEntity',  x = 515,  y = 400,  order = 0,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Screens/DogRoom/Cups/cup_7.png',  width = 60,  height = 106,  },
		{ name = 'cup_3',  entityType = 'SpriteEntity',  x = 586,  y = 403,  order = 0,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Screens/DogRoom/Cups/cup_3.png',  width = 44,  height = 102,  },
		{ name = 'cup_8',  entityType = 'SpriteEntity',  x = 481,  y = 117,  order = 0,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Screens/DogRoom/Cups/cup_8.png',  width = 46,  height = 130,  },
		{ name = 'cup_2',  entityType = 'SpriteEntity',  x = 547,  y = 120,  order = 0,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Screens/DogRoom/Cups/cup_2.png',  width = 50,  height = 126,  },
		{ name = 'cup_4',  entityType = 'SpriteEntity',  x = 450,  y = 284,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/DogRoom/Cups/cup_4.png',  width = 54,  height = 158,  },
		{ name = 'cup_5',  entityType = 'SpriteEntity',  x = 515,  y = 290,  order = 0,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Screens/DogRoom/Cups/cup_5.png',  width = 72,  height = 164,  },
		{ name = 'cup_6',  entityType = 'SpriteEntity',  x = 586,  y = 283,  order = 0,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Screens/DogRoom/Cups/cup_6.png',  width = 64,  height = 160,  },
		{ name = 'board_2',  entityType = 'SpriteEntity',  x = 249,  y = 200,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/DogRoom/board.png',  width = 209,  height = 88,  },
		{ name = 'circle_2',  entityType = 'SpriteEntity',  parentName = 'board_2',  x = -73,  y = 1,  order = 0,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Screens/DogRoom/circle_1.png',  width = 48,  height = 48,  },
		{ name = 'text_2',  entityType = 'TextEntity',  parentName = 'board_2',  x = 4,  y = 13,  order = 0,  color = {r = 0.705882, g = 1, b = 1, a = 1},  editingLocked = false,  treeItemIsExpanded = false,  text = '0 5',  font = 'Data/Fonts/credits.fnt',  height = 30,  },
		{ name = 'text_name_2',  entityType = 'TextEntity',  parentName = 'board_2',  x = 11,  y = -13,  order = 0,  color = {r = 0.705882, g = 1, b = 1, a = 1},  editingLocked = false,  treeItemIsExpanded = false,  localizationKey = 'BBT_DOG_GAME_1',  font = 'Data/Fonts/credits.fnt',  height = 25,  },
		{ name = 'board_1',  entityType = 'SpriteEntity',  x = 101,  y = 200,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/DogRoom/board.png',  width = 209,  height = 88,  },
		{ name = 'circle_1',  entityType = 'SpriteEntity',  parentName = 'board_1',  x = -72,  y = 1,  order = 0,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Screens/DogRoom/circle_2.png',  width = 48,  height = 48,  },
		{ name = 'text_1',  entityType = 'TextEntity',  parentName = 'board_1',  x = 5,  y = 12,  order = 0,  color = {r = 0.705882, g = 1, b = 1, a = 1},  editingLocked = false,  treeItemIsExpanded = false,  text = '0 5',  font = 'Data/Fonts/credits.fnt',  height = 30,  },
		{ name = 'text_name_1',  entityType = 'TextEntity',  parentName = 'board_1',  x = 9,  y = -12,  order = 0,  color = {r = 0.705882, g = 1, b = 1, a = 1},  editingLocked = false,  treeItemIsExpanded = false,  localizationKey = 'BBT_DOG_GAME_2',  font = 'Data/Fonts/credits.fnt',  height = 25,  },
		{ name = 'board_3',  entityType = 'SpriteEntity',  x = 794,  y = 195,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/DogRoom/board.png',  width = 209,  height = 88,  },
		{ name = 'circle_3',  entityType = 'SpriteEntity',  parentName = 'board_3',  x = -72,  y = 1,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/DogRoom/circle_3.png',  width = 48,  height = 48,  },
		{ name = 'text_3',  entityType = 'TextEntity',  parentName = 'board_3',  x = 2,  y = 14,  order = 0,  color = {r = 0.705882, g = 1, b = 1, a = 1},  editingLocked = false,  treeItemIsExpanded = false,  text = '0 5',  font = 'Data/Fonts/credits.fnt',  height = 30,  },
		{ name = 'text_name_3',  entityType = 'TextEntity',  parentName = 'board_3',  x = 10,  y = -12,  order = 0,  color = {r = 0.705882, g = 1, b = 1, a = 1},  editingLocked = false,  treeItemIsExpanded = false,  localizationKey = 'BBT_DOG_GAME_3',  font = 'Data/Fonts/credits.fnt',  height = 25,  },
		{ name = 'board_4',  entityType = 'SpriteEntity',  x = 945,  y = 199,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/DogRoom/board.png',  width = 209,  height = 88,  },
		{ name = 'circle_4',  entityType = 'SpriteEntity',  parentName = 'board_4',  x = -72,  y = 1,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/DogRoom/circle_4.png',  width = 48,  height = 48,  },
		{ name = 'text_4',  entityType = 'TextEntity',  parentName = 'board_4',  x = 6,  y = 14,  order = 0,  color = {r = 0.705882, g = 1, b = 1, a = 1},  editingLocked = false,  treeItemIsExpanded = false,  text = '0 5',  font = 'Data/Fonts/credits.fnt',  height = 30,  },
		{ name = 'text_name_4',  entityType = 'TextEntity',  parentName = 'board_4',  x = 14,  y = -13,  order = 0,  color = {r = 0.705882, g = 1, b = 1, a = 1},  editingLocked = false,  treeItemIsExpanded = false,  localizationKey = 'BBT_DOG_GAME_4',  font = 'Data/Fonts/credits.fnt',  height = 21,  },
		{ name = 'board_5',  entityType = 'SpriteEntity',  x = 519,  y = 274,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/DogRoom/board.png',  width = 209,  height = 88,  },
		{ name = 'text_cup',  entityType = 'TextEntity',  parentName = 'board_5',  x = -5,  y = -2,  order = 0,  color = {r = 0.705882, g = 1, b = 1, a = 1},  editingLocked = false,  treeItemIsExpanded = false,  text = 'text', font = 'Data/Fonts/cyrillic.fnt', height = 20,  boundsX = 167,  boundsY = 0,  },
		{ name = 'DogRoomScreenAnimCups',  entityType = 'CompositionContainer',  x = -175,  y = 0,  order = 0,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = true,  path = 'Data/Scripts/Screens/Anim/DogRoomScreenAnimCups.lua',  },
		{ name = 'anim_cup_8',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnimCups',  x = -5,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  speed = 1,  },
		{ name = 'anim_cup_2',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnimCups',  x = 8,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  speed = 1,  },
		{ name = 'anim_cup_1',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnimCups',  x = 9,  y = 4,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  speed = 1,  },
		{ name = 'anim_cup_7',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnimCups',  x = 3,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = true,  speed = 1,  },
		{ name = 'anim_cup_3',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnimCups',  x = 0,  y = 1,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  speed = 1,  },
		{ name = 'anim_cup_6',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnimCups',  x = 0,  y = 1,  order = 1,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  speed = 1,  },
		{ name = 'anim_cup_4',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnimCups',  x = 8,  y = 1,  order = 1,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  speed = 1,  },
		{ name = 'anim_cup_5',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnimCups',  x = 3,  y = 2,  order = 1,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  speed = 1,  },
		{ name = 'DogRoomScreenAnimMedalGlowUnder',  entityType = 'CompositionContainer',  x = -171,  y = 0,  order = 0,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = true,  path = 'Data/Scripts/Screens/Anim/DogRoomScreenAnimMedalGlowUnder.lua',  },
		{ name = 'm10_glow_under',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnimMedalGlowUnder',  x = 0,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  speed = 1,  },
		{ name = 'm15_glow_under',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnimMedalGlowUnder',  x = 0,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  speed = 1,  },
		{ name = 'm17_glow_under',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnimMedalGlowUnder',  x = 0,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  speed = 1,  },
		{ name = 'm18_glow_under',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnimMedalGlowUnder',  x = 0,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  speed = 1,  },
		{ name = 'm19_glow_under',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnimMedalGlowUnder',  x = 0,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = true,  speed = 1,  },
		{ name = 'm8_glow_under',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnimMedalGlowUnder',  x = 0,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  speed = 1,  },
		{ name = 'm9_glow_under',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnimMedalGlowUnder',  x = 0,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  speed = 1,  },
		{ name = 'm1_glow_under',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnimMedalGlowUnder',  x = 0,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  speed = 1,  },
		{ name = 'm11_glow_under',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnimMedalGlowUnder',  x = 0,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  speed = 1,  },
		{ name = 'm12_glow_under',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnimMedalGlowUnder',  x = 0,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  speed = 1,  },
		{ name = 'm13_glow_under',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnimMedalGlowUnder',  x = 0,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  speed = 1,  },
		{ name = 'm14_glow_under',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnimMedalGlowUnder',  x = 0,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  speed = 1,  },
		{ name = 'm16_glow_under',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnimMedalGlowUnder',  x = 0,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  speed = 1,  },
		{ name = 'm2_glow_under',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnimMedalGlowUnder',  x = 0,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  speed = 1,  },
		{ name = 'm20_glow_under',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnimMedalGlowUnder',  x = 0,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = true,  speed = 1,  },
		{ name = 'm3_glow_under',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnimMedalGlowUnder',  x = 0,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  speed = 1,  },
		{ name = 'm4_glow_under',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnimMedalGlowUnder',  x = 0,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  speed = 1,  },
		{ name = 'm5_glow_under',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnimMedalGlowUnder',  x = 0,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  speed = 1,  },
		{ name = 'm6_glow_under',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnimMedalGlowUnder',  x = 0,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  speed = 1,  },
		{ name = 'm7_glow_under',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnimMedalGlowUnder',  x = 0,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = true,  speed = 1,  },
		{ name = 'DogRoomScreenAnim_Toys',  entityType = 'CompositionContainer',  x = -171,  y = 0,  order = 0,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = true,  path = 'Data/Scripts/Screens/Anim/DogRoomScreenAnim_Toys.lua',  },
		{ name = 'anim_ball',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnim_Toys',  x = 0,  y = 0,  order = 0,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  speed = 1,  },
		{ name = 'anim_bone',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnim_Toys',  x = 0,  y = 0,  order = 0,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  speed = 1,  },
		{ name = 'anim_hole',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnim_Toys',  x = 0,  y = 0,  order = 0,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  speed = 1,  },
		{ name = 'area_click_ball',  entityType = 'SpriteEntity',  x = 493,  y = 641,  order = 0,  scaleX = 0.4,  scaleY = 0.8,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Common/Area_Round.png',  width = 128,  height = 128,  },
		{ name = 'area_click_bone',  entityType = 'SpriteEntity',  x = 698,  y = 702,  order = 0,  angle = 100,  scaleX = 0.5,  scaleY = 1.1,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Common/Area_Round.png',  width = 128,  height = 128,  },
		{ name = 'area_click_hole',  entityType = 'SpriteEntity',  x = 854,  y = 580,  order = 0,  angle = 100,  scale = 0.8,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Common/Area_Round.png',  width = 128,  height = 128,  },
		{ name = 'light',  entityType = 'SpriteEntity',  x = 349,  y = 643,  order = 1,  scaleX = 0.55,  scaleY = 0.5,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/DogRoom/light.png',  width = 466,  height = 272,  },
		{ name = 'movie_dog',  entityType = 'VideoEntity',  x = 346,  y = 664,  order = 1,  editingLocked = false,  treeItemIsExpanded = true,  path = 'Data/Textures/Screens/DogRoom/movie_dog.webm',  hasAlpha = true,  isLooped = true,  },
		{ name = 'bttn_exit',  entityType = 'ButtonEntity',  x = 509,  y = 500,  order = 2,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Screens/DogRoom/button_exit.png',  text = '',  activeRectX = 200,  activeRectY = 100,  },
		{ name = 'effect4_low',  entityType = 'VideoEntity',  x = 566,  y = 530,  order = 5,  isVisible = false,  isRespondable = false,  isActive = false,  scale = 2,  blend = RenderedObject.EBlendModeColorAdd,  editingLocked = false,  treeItemIsExpanded = false,  path = 'Data/Textures/Screens/DogRoom/Anim/effect4_low.webm',  hasAlpha = false,  isLooped = false,  },
		{ name = 'effect3_low',  entityType = 'VideoEntity',  x = 529,  y = 520,  order = 5,  isVisible = false,  isRespondable = false,  isActive = false,  scale = 2,  blend = RenderedObject.EBlendModeColorAdd,  editingLocked = false,  treeItemIsExpanded = false,  path = 'Data/Textures/Screens/DogRoom/Anim/effect3_low.webm',  hasAlpha = false,  isLooped = false,  },
		{ name = 'effect2_low',  entityType = 'VideoEntity',  x = 402,  y = 566,  order = 5,  isVisible = false,  isRespondable = false,  isActive = false,  scale = 2,  blend = RenderedObject.EBlendModeColorAdd,  editingLocked = false,  treeItemIsExpanded = false,  path = 'Data/Textures/Screens/DogRoom/Anim/effect2_low.webm',  hasAlpha = false,  isLooped = false,  },
		{ name = 'effect1_low',  entityType = 'VideoEntity',  x = 318,  y = 561,  order = 5,  isVisible = false,  isRespondable = false,  isActive = false,  scale = 2,  blend = RenderedObject.EBlendModeColorAdd,  editingLocked = false,  treeItemIsExpanded = false,  path = 'Data/Textures/Screens/DogRoom/Anim/effect1_low.webm',  hasAlpha = false,  isLooped = false,  },
		{ name = 'DogRoomScreenAnimMedalGlowOver',  entityType = 'CompositionContainer',  x = -170,  y = 0,  order = 300,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = true,  path = 'Data/Scripts/Screens/Anim/DogRoomScreenAnimMedalGlowOver.lua',  },
		{ name = 'm10_glow_over',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnimMedalGlowOver',  x = 0,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  isCyclic = true,  speed = 1,  },
		{ name = 'm15_glow_over',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnimMedalGlowOver',  x = 0,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  isCyclic = true,  speed = 1,  },
		{ name = 'm17_glow_over',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnimMedalGlowOver',  x = 0,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  isCyclic = true,  speed = 1,  },
		{ name = 'm18_glow_over',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnimMedalGlowOver',  x = 0,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  isCyclic = true,  speed = 1,  },
		{ name = 'm19_glow_over',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnimMedalGlowOver',  x = 0,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  isCyclic = true,  speed = 1,  },
		{ name = 'm8_glow_over',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnimMedalGlowOver',  x = 0,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  isCyclic = true,  speed = 1,  },
		{ name = 'm9_glow_over',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnimMedalGlowOver',  x = 0,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  isCyclic = true,  speed = 1,  },
		{ name = 'm1_glow_over',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnimMedalGlowOver',  x = 0,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = true,  isCyclic = true,  speed = 1,  },
		{ name = 'm11_glow_over',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnimMedalGlowOver',  x = 0,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  isCyclic = true,  speed = 1,  },
		{ name = 'm12_glow_over',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnimMedalGlowOver',  x = 0,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  isCyclic = true,  speed = 1,  },
		{ name = 'm13_glow_over',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnimMedalGlowOver',  x = 0,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  isCyclic = true,  speed = 1,  },
		{ name = 'm14_glow_over',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnimMedalGlowOver',  x = 0,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  isCyclic = true,  speed = 1,  },
		{ name = 'm16_glow_over',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnimMedalGlowOver',  x = 0,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  isCyclic = true,  speed = 1,  },
		{ name = 'm2_glow_over',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnimMedalGlowOver',  x = 0,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  isCyclic = true,  speed = 1,  },
		{ name = 'm20_glow_over',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnimMedalGlowOver',  x = 0,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  isCyclic = true,  speed = 1,  },
		{ name = 'm3_glow_over',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnimMedalGlowOver',  x = 0,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  isCyclic = true,  speed = 1,  },
		{ name = 'm4_glow_over',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnimMedalGlowOver',  x = 0,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  isCyclic = true,  speed = 1,  },
		{ name = 'm5_glow_over',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnimMedalGlowOver',  x = 0,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  isCyclic = true,  speed = 1,  },
		{ name = 'm6_glow_over',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnimMedalGlowOver',  x = 0,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  isCyclic = true,  speed = 1,  },
		{ name = 'm7_glow_over',  entityType = 'CompositionSequence',  parentName = 'DogRoomScreenAnimMedalGlowOver',  x = 0,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  isCyclic = true,  speed = 1,  },
		{ name = 'strip',  entityType = 'SpriteEntity',  x = 520,  y = 64,  order = 0,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Screens/DogRoom/strip.png',  width = 364,  height = 134,  },
		{ name = 'firework_anim',  entityType = 'SpriteEntity',  x = 512,  y = 384,  order = 50,  blend = RenderedObject.EBlendModeColorAdd,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Screens/DogRoom/Anim/medal_back_anim.png',  width = 120,  height = 120,  mode = 4,  fps = 24,  framesCount = 20,  },		
	}
	return objects
end
